Welcome to php-opencloud!


You must install this library through Composer:

composer require rackspace/php-opencloud

If you do not have Composer installed, please consult the official docs.

Once you have installed the library, you will need to load Composer’s autoloader (which registers all the required namespaces). To do this, place the following line of PHP code at the top of your application’s PHP files:

require 'vendor/autoload.php';

This assumes your application’s PHP files are located in the same folder as vendor/. If your files are located elsewhere, please supply the path to vendor/autoload.php in the require statement above.

Read the Getting Started with OpenStack or Getting Started with Rackspace to help you get started with basic Compute operations.


If you are running PHP 5.3, please see our Using the SDK with PHP v5.3 guide.

Help and support

If you have specific problems or bugs with this SDK, please file an issue on our official Github. We also have a mailing list, so feel free to join to keep up to date with all the latest changes and announcements to the library.

For general feedback and support requests, send an email to sdk-support@rackspace.com.

You can also find assistance via IRC on #rackspace at freenode.net.


If you’d like to contribute to the project, or require help running the unit/acceptance tests, please view the contributing guidelines.